Subject: Re: [PATCH 14/15] [GSOC] cat-file: re-implement --textconv, --filters options

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Jul 2021 08:27:57 -0700

ZheNing Hu <[email-masked]> writes:

>> These global variables are problematic.  The places that check them
>> are quite isolated, and it makes me wonder why we cannot pass a
>> format instance through the callchain down to get_object().
>
> If we pass such two options In such a deep call chain, it seems not
> worth to do it.

OK.  After all, ref-filter.c has too many existing global variables
(starting from the used_atom[] array) that makes it impossible to be
a proper API that can be used to handle more than one invocations at
once, so two more globals aren't making it any more hopeless than it
currently is.  If we wanted to make the API reentrant, we'd need a
bigger change anyway.

> Or just use "static" prefix?

Yes, that is needed regardless to pass "make sparse".

TShanks.